Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1204362 (CVE-2015-0817) - CVE-2015-0817 Mozilla: Code execution through incorrect JavaScript bounds checking elimination (MFSA 2015-29)
Summary: CVE-2015-0817 Mozilla: Code execution through incorrect JavaScript bounds che...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2015-0817
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1203960
TreeView+ depends on / blocked
 
Reported: 2015-03-21 11:29 UTC by Huzaifa S. Sidhpurwala
Modified: 2021-02-17 05:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-24 13:33:18 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0718 0 normal SHIPPED_LIVE Critical: firefox security update 2015-03-24 16:31:40 UTC

Description Huzaifa S. Sidhpurwala 2015-03-21 11:29:14 UTC
Security researcher ilxu1a reported, through HP Zero Day Initiative's Pwn2Own contest, a flaw in Mozilla's implementation of typed array bounds checking in JavaScript just-in-time compilation (JIT) and its management of bounds checking for heap access. This flaw can be leveraged into the reading and writing of memory allowing for arbitary code execution on the local system. 


External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2015-29


Acknowledgements:

Red Hat would like to thank the Mozilla project for reporting this issue. Upstream acknowledges ilxu1a as the original reporter.


Statement:

This issue does not affect the version of thunderbird package as shipped with Red Hat Enterprise Linux 5, 6 and 7.

Comment 1 errata-xmlrpc 2015-03-24 12:31:56 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2015:0718 https://rhn.redhat.com/errata/RHSA-2015-0718.html


Note You need to log in before you can comment on or make changes to this bug.